Package net.sf.saxon.tree.linked

## Interface NodeFactory

- All Known Implementing Classes:
    `SchemaNodeFactory`, `StyleNodeFactory`, `StyleNodeFactoryEE`, `StyleNodeFactoryPE`

      public interface NodeFactory

  Interface NodeFactory.
  A Factory for nodes used to build a tree.
  Currently only allows Element nodes to be user-constructed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ElementImpl` | `makeElementNode​(NodeInfo parent, NodeName nameCode, SchemaType elementType, boolean isNilled, AttributeMap attlist, NamespaceMap namespaces, PipelineConfiguration pipe, Location locationId, int sequenceNumber)` | Create an Element node
    `TextImpl` | `makeTextNode​(NodeInfo parent, java.lang.CharSequence content)` | Make a text node

- - ### Method Detail

    - #### makeElementNode

          ElementImpl makeElementNode​(NodeInfo parent,
                                      NodeName nameCode,
                                      SchemaType elementType,
                                      boolean isNilled,
                                      AttributeMap attlist,
                                      NamespaceMap namespaces,
                                      PipelineConfiguration pipe,
                                      Location locationId,
                                      int sequenceNumber)

      Create an Element node
      Parameters:
        `parent` - The parent element
        `nameCode` - The element name
        `elementType` - The type annotation of the element
        `isNilled` - true if the element is to be marked as nilled
        `attlist` - The attribute collection, excluding any namespace attributes
        `namespaces` - in-scope namespace declarations for this element
        `pipe` - The pipeline configuration (provides access to the error listener and the location provider)
        `locationId` - Indicates the source document and line number containing the node
        `sequenceNumber` - Sequence number to be assigned to represent document order.
      Returns:
        the element node

    - #### makeTextNode

          TextImpl makeTextNode​(NodeInfo parent,
                                java.lang.CharSequence content)

      Make a text node
      Parameters:
        `parent` - the parent element
        `content` - the content of the text node
      Returns:
        the constructed text node